﻿﻿package {
    import flash.events.*;
    import flash.display.*;
    import flash.utils.*;

    public class Cannon extends MovieClip {

        static const speed:Number = 150;

        private var lastTime:int;

        public function Cannon(){
            this.x = 300;
            this.y = 360;
            this.rotation = 0;
            addEventListener(Event.ENTER_FRAME, moveCannon);
        }
        public function moveCannon(e:Event){
            var dt:int = (getTimer() - lastTime);
            lastTime = (lastTime + dt);
            var curr_rot:* = this.rotation;
            if (MovieClip(parent).leftArrow){
                curr_rot = (curr_rot - ((speed * dt) / 1000));
            };
            if (MovieClip(parent).rightArrow){
                curr_rot = (curr_rot + ((speed * dt) / 1000));
            };
            if (curr_rot < -80){
                curr_rot = -80;
            };
            if (curr_rot > 80){
                curr_rot = 80;
            };
            this.rotation = curr_rot;
        }
        public function deleteCannon(){
            parent.removeChild(this);
            removeEventListener(Event.ENTER_FRAME, moveCannon);
        }

    }
}//package 
