﻿package {
    import flash.events.*;
    import flash.display.*;
    import flash.utils.*;

    public class Airplane extends MovieClip {

        private var dx:Number;
        private var lastTime:int;

        public function Airplane(dir:String, speed:Number, alt:Number){
            if (dir == "left") {
                this.x = -50;
                dx = speed; 
                this.scaleX = -1;
            } else if (dir == "right") {
				this.x = 600;
				dx = -speed;
				this.scaleX = 1;
            }
            this.y = alt;
            this.gotoAndStop(Math.floor(Math.random() * 5 + 1)); // wylosuj kolorek
            addEventListener(Event.ENTER_FRAME, movePlane);
            lastTime = getTimer();
        }
        public function movePlane(e:Event){
            var dt:int = (getTimer() - lastTime);
            lastTime = (lastTime + dt);
            this.x = this.x + dx * dt / 1000;
            if (dx < 0 && x < -50) {
                deletePlane();
            } else if (dx > 0 && x > 600){
                deletePlane();
            }
        }
        public function planeHit() {
            removeEventListener(Event.ENTER_FRAME, movePlane);
            MovieClip(parent).removePlane(this);
            gotoAndPlay("explode");
        }
        public function deletePlane() {
            removeEventListener(Event.ENTER_FRAME, movePlane);
            MovieClip(parent).removePlane(this);
            parent.removeChild(this);
        }
    }
}//package