﻿﻿package {
    import flash.events.*;
    import flash.display.*;
    import flash.utils.*;

    public class Bullet extends MovieClip {

        private var dx:Number;
        private var dy:Number;
        private var lastTime:int;

        public function Bullet(origin_x, origin_y:Number, angle:Number, speed:Number){
            var lufa:Number = 60;
            this.x = origin_x + lufa * Math.sin(Math.PI * angle / 180);
            this.y = origin_y - lufa * Math.cos(Math.PI * angle / 180);
            this.rotation = angle;
            dx = speed * Math.sin(Math.PI * angle / 180);
            dy = - speed * Math.cos(Math.PI * angle / 180);
            lastTime = getTimer();
            addEventListener(Event.ENTER_FRAME, moveBullet);
        }
        public function moveBullet(e:Event){
            var dt:int = (getTimer() - lastTime);
            lastTime = (lastTime + dt);
            this.x = (this.x + ((dx * dt) / 1000));
            this.y = (this.y + ((dy * dt) / 1000));
            if (this.y < 0){
                deleteBullet();
            };
        }
        public function deleteBullet(){
            MovieClip(parent).removeBullet(this);
            parent.removeChild(this);
            removeEventListener(Event.ENTER_FRAME, moveBullet);
        }
    }
}//package